(define-module (glicid packages maths)
  #:use-module (guix packages)
  #:use-module (guix utils)
  #:use-module (gnu packages maths)
  #:use-module (gnu packages commencement)
  #:use-module (gnu packages mpi)
  #:use-module (guix download)
  #:use-module (guix git-download)
  #:use-module (gnu packages)
)

;;;;;;;;

;(define-public scalapack-scivision-newer

(define-public scalapack-newer

  (package
    (inherit scalapack) 
    (name "scalapack-newer")
;    (version "2.1.0.29-upstream") ;; need this for compilation > gcc 9
     (version "2.1.0-new-upstream")
    (source (origin
             (method git-fetch)
              (uri (git-reference
;              (url "https://github.com/scivision/scalapack.git")
;               (url "https://github.com/OpenCMISS-Dependencies/newscalapack.git")
                (url "https://oauth2:9i-PgbC2w_JEx6DUUqzf@gitlab.univ-nantes.fr/CCIPL/legacy_code_mirror/scalapack.git")

;              (commit "dac3cb9eaad9593a2cc7478f5f4ed63437b0993d")
;	       (commit "f27386ce4d1b4dc99f7bc5917031ef9dc2c00a72")
; univ	       (commit "9a4c4d7608ab7ac11e526746082a1ffacc2cd365")
               (commit "myv2.0.2")
             )
)
             (file-name "scalapack-univ-myv2")
              (patches (search-patches "scalapack-blacs-mpi-deprecations.patch"))

             (sha256
              (base32
; univ               "1fp3av7cqb4asfw3ynq4s9kbqgrb7k0lhizzd5isz6xfmrwl1ps6"
;		     "1cf2mrv9w7zkhwj6q22l1mn2ryfhr8zqgjajfkixr57nqfq2x0k2" ;scivision 
		     "1ccic46psf2hl9wsyflvkn5rxg8k17q578m9mzimvm9brbggf0na"
              )
             )
))
    

    (arguments
     `(#:configure-flags `("-DBUILD_SHARED_LIBS:BOOL=YES")
       #:phases (modify-phases %standard-phases
                  (add-before 'check 'mpi-setup
                    ,%openmpi-setup))))

    )
  )

(define-public scalapack-latest scalapack-newer)

(define-public openblas-newer-0.3.15
  (package
    (inherit openblas)
    (name "openblas-newer")
    (version "0.3.15")
    (source
     (origin
     (method url-fetch)
     (uri (string-append "https://github.com/xianyi/OpenBLAS/releases/download/v" version "/OpenBLAS-" version ".tar.gz" ))
;       (file-name (string-append name "-" version ".tar.gz"))
       (sha256
        (base32
         "1gjbkrsh6n28hdp2ciyjigc8vg764d2r0jbzl63v753mjzn9va9h"))))

   ; (name "glicid-specific-openblas")
   ;   (inputs `(
   ;    ("fortran-lib",gfortran-11 "lib")
   ;   ,@(package-inputs openblas)))
   ;   (native-inputs `(
   ;    ("gcc", gcc-11)
   ;    ("fortran" ,gfortran-11)
   ;  ,@(package-native-inputs openblas)))
  )
)



;; scalapack-scivision-newer
;;scalapack-newer
;;; glicid/maths.scm ends here

